<?php

declare(strict_types = 1);

// {{{ License

// This file is part of GNU social - https://www.gnu.org/software/social
//
// GNU social is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// GNU social is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.
//
// You should have received a copy of the GNU Affero General Public License
// along with GNU social.  If not, see <http://www.gnu.org/licenses/>.

// }}}

namespace App\Test\Controller;

use App\Core\DB;
use App\Util\GNUsocialTestCase;

class NoteTest extends GNUsocialTestCase
{
    public function testNoteView()
    {
        $client = static::createClient();
        $id     = DB::findBy('note', ['neq' => ['content' => null]])[0]->getId();
        dd(DB::findBy('note', ['neq' => ['content' => null]])[0]);
        $crawler = $client->request('GET', '/object/note/{$id}');
        $this->assertResponseIsSuccessful();
        // $form = $crawler->selectButton('Sign in')->form();
        $crawler = $client->submitForm('Sign in', [
            '_username' => $nickname,
            '_password' => $password,
        ]);
        $this->assertResponseStatusCodeSame(302);
        $crawler = $client->followRedirect();
    }
}
